<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>setup.Xai.AutoM</name>
<version>5</version>
<engineversion>25</engineversion>
<description>Set Xai Corporation Automining commands</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><text>load&#160;text:&#160;id=</text><var>5001</var></line>
<line linenr="006" indent=""><var>$Script.Name&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>2</var></line>
<line linenr="007" indent=""><var>$Script.Name</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>'Xai&#160;Corporation&#160;AutoMining'</var></line>
<line linenr="008" indent=""><var>$Script.Name</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>'3.0'</var></line>
<line linenr="009" interruptable="@" indent=""><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Setup</call><text>&#160;:&#160;</text><text>&#160;Product&#160;to&#160;sell=</text><var>null</var><text>&#160;</text><text>&#160;Name-Version&#160;array=</text><var>$Script.Name</var><text>&#160;</text><text>&#160;Race&#160;1=</text><var>null</var><text>&#160;</text><text>&#160;Race&#160;2=</text><var>null</var><text>&#160;</text><text>&#160;StationType1=</text><var>null</var></line>
<line linenr="010" indent=""><comment>*<text>al&#160;engine:&#160;register&#160;script=</text>al.Xai.AutoM.CAM.control</comment></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>$Command&#160;=&#160;</var><var>COMMAND_XAI_AUTOM_MINING</var></line>
<line linenr="013" indent=""><text>global&#160;script&#160;map:&#160;set:&#160;key=</text><var>$Command</var><text>,&#160;class=</text><var>Small&#160;Transport&#160;TS</var><text>,&#160;race=</text><var>Player</var><text>,&#160;script=</text><call>plugin.Xai.AutoM.cmd.StartMining</call><text>,&#160;prio=</text><var>0</var></line>
<line linenr="014" indent=""><text>set&#160;script&#160;command&#160;upgrade:&#160;command=</text><var>$Command</var><text>&#160;&#160;upgrade=</text><var>Mobile&#160;Drilling&#160;System</var><text>&#160;&#160;script=</text><call>plugin.Xai.AutoM.chk.cmds</call></line>
<line linenr="015" indent=""></line>
<line linenr="016" indent=""><var>$Command&#160;=&#160;</var><var>COMMAND_XAI_AUTOM_COLLECT_ORES</var></line>
<line linenr="017" indent=""><text>global&#160;script&#160;map:&#160;set:&#160;key=</text><var>$Command</var><text>,&#160;class=</text><var>Small&#160;Transport&#160;TS</var><text>,&#160;race=</text><var>Player</var><text>,&#160;script=</text><call>plugin.Xai.AutoM.cmd.CollTrans</call><text>,&#160;prio=</text><var>0</var></line>
<line linenr="018" indent=""><text>set&#160;script&#160;command&#160;upgrade:&#160;command=</text><var>$Command</var><text>&#160;&#160;upgrade=</text><var>Ore&#160;Collector</var></line>
<line linenr="019" indent=""></line>
<line linenr="020" indent=""><var>$Command&#160;=&#160;</var><var>COMMAND_XAI_MISC_MSCAN</var></line>
<line linenr="021" indent=""><text>global&#160;script&#160;map:&#160;set:&#160;key=</text><var>$Command</var><text>,&#160;class=</text><var>Little&#160;Ship</var><text>,&#160;race=</text><var>Player</var><text>,&#160;script=</text><call>plugin.Xai.AutoM.cmd.mscan</call><text>,&#160;prio=</text><var>0</var></line>
<line linenr="022" indent=""><text>global&#160;script&#160;map:&#160;ignore:&#160;key=</text><var>$Command</var><text>,&#160;class=</text><var>Fight&#160;drone</var><text>,&#160;race=</text><var>Player</var></line>
<line linenr="023" indent=""><text>set&#160;script&#160;command&#160;upgrade:&#160;command=</text><var>$Command</var><text>&#160;&#160;upgrade=</text><var>Mineral&#160;Scanner</var></line>
<line linenr="024" indent=""></line>
<line linenr="025" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="setup.Xai.AutoM" /><sval type="int" val="25" /><sval type="string" val="Set Xai Corporation Automining commands" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="array" size="2"><sval type="string" val="Script.Name" /><sval type="string" val="Command" /></sval><sval type="array" size="16"><sval type="array" size="3"><sval type="int" val="151" /><sval type="int" val="4" /><sval type="int" val="5001" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="Xai Corporation AutoMining" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="3.0" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Setup" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="520" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="118" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="string" val="plugin.Xai.AutoM.cmd.StartMining" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="2031" /><sval type="int" val="10" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="154" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="524300" /><sval type="string" val="plugin.Xai.AutoM.chk.cmds" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="521" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="118" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="string" val="plugin.Xai.AutoM.cmd.CollTrans" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="2031" /><sval type="int" val="10" /><sval type="int" val="10" /></sval><sval type="array" size="5"><sval type="int" val="144" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048621" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="522" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="118" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="string" val="plugin.Xai.AutoM.cmd.mscan" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="2133" /><sval type="int" val="10" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="127" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="12" /><sval type="int" val="2067" /><sval type="int" val="10" /><sval type="int" val="10" /></sval><sval type="array" size="5"><sval type="int" val="144" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="1048588" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="9"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining 2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="1000" /><sval type="string" val="al.Xai.AutoM.CAM.control" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
